/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
:root {
    --secondary-color: #E4BC82;
	--info-color: #d7bc8e;
	--block-width: 230px;
    --block-height: 200px;
    --half-block-width: calc(var(--block-width) / 1.27);
    --half-block-height: calc(var(--block-height) / 1.9);
}

/* Scrollbar */
/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #464646; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--primary-color); 
}

/* Beautique Display Font */
@font-face {
    font-family: "BeautiqueDisplay";
    src: url("./fonts/BeautiqueDisplay-Regular.otf");
}
@font-face {
    font-family: "BeautiqueDisplay";
    src: url("./fonts/BeautiqueDisplay-Bold.otf");
    font-weight: bold;
}
@font-face {
    font-family: "BeautiqueDisplay";
    src: url("./fonts/BeautiqueDisplay-Italic.otf");
    font-style: italic;
}
@font-face {
    font-family: "BeautiqueDisplay";
    src: url("./fonts/BeautiqueDisplay-BoldItalic.otf");
    font-weight: bold;
    font-style: italic;
}
/* Open Sans Font */
@font-face {
    font-family: "OpenSans";
    src: url("./fonts/OpenSans-Regular.ttf");
}
@font-face {
    font-family: "OpenSans";
    src: url("./fonts/OpenSans-Bold.ttf");
    font-weight: bold;
}
@font-face {
    font-family: "OpenSans";
    src: url("./fonts/OpenSans-Italic.ttf");
    font-style: italic;
}
@font-face {
    font-family: "OpenSans";
    src: url("./fonts/OpenSans-BoldItalic.ttf");
    font-weight: bold;
    font-style: italic;
}

body, .nav > li > a, .mobile-sidebar-levels-2 .nav > li > ul > li > a {
    font-family: "OpenSans", sans-serif !important; 
}

h1,h2,h3,h4,h5,h6,.heading-font, .off-canvas-center .nav-sidebar.nav-vertical > li > a {
    font-family: "BeautiqueDisplay", sans-serif !important;
}

/* Preloading */
.wn-svg {
    position: absolute;
    left: -9999px;
}

#logo {
	position: fixed;
    top: calc(50vh - 70px);
    left: 30vw;
    width: 40vw !important;
	margin-left: 0;
    margin-right: 0;
	display: flex;
    flex-direction: column;
	transition: all 1.5s;
}

.transparent #logo img {
	max-height: none !important;
	width: 100%;
}

#logo.logo-minimize {
	top: 15px;
	left: 15px;
	width: 250px !important;
}

.fp-is-overflow .fp-overflow.fp-auto-height, .fp-is-overflow .fp-overflow.fp-auto-height-responsive, .fp-is-overflow>.fp-overflow {
    overflow-x: hidden;
}

.jquery-modal.blocker {
    z-index: 999;
    background-color: rgba(0,0,0,0.5);
}

#wn-wait {
    background-color: rgba(0, 0, 0, 0.6);
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999;
    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 2rem;
}

#logo a.wn-below-logo {
    font-size: 0.8rem;
    font-weight: normal;
    text-align: center;
    margin-top: 8px;
    text-transform: none;
}

#logo a.wn-below-logo {
	display: none;
}

.animate__animated.animate__delay-0p5s {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
    -webkit-animation-delay: calc(var(--animate-delay) * 0.5);
    animation-delay: calc(var(--animate-delay) * 0.5)
}

.animate__animated.animate__delay-1p5s {
    -webkit-animation-delay: 1.5s;
    animation-delay: 1.5s;
    -webkit-animation-delay: calc(var(--animate-delay) * 1.5);
    animation-delay: calc(var(--animate-delay) * 1.5);
}

.animate__animated.animate__delay-2p5s {
    -webkit-animation-delay: 2.5s;
    animation-delay: 2.5s;
    -webkit-animation-delay: calc(var(--animate-delay) * 2.5);
    animation-delay: calc(var(--animate-delay) * 2.5);
}

.animate__animated.animate__delay-3p5s {
    -webkit-animation-delay: 3.5s;
    animation-delay: 3.5s;
    -webkit-animation-delay: calc(var(--animate-delay) * 3.5);
    animation-delay: calc(var(--animate-delay) * 3.5);
}

.absolute-footer { display: none; }
.wn-z-top { z-index: 100; }
.fp-watermark { display: none; }
.lightbox-content { background-color: transparent; }
.mfp-wrap > .mfp-close { display: none; }
#fp-nav a span {
	border: 1px solid white !important;
    background: transparent !important;
	width: 6px !important;
    height: 6px !important;
}

#fp-nav a.active span {
	width: 12px !important;
    height: 12px !important;
}

#fp-nav ul li {
	width: 15px !important;
	height: 20px !important;
}

/* Header */
#header {
	position: fixed;
	top: 0;
	z-index: 999;
}
#masthead .header-inner .flex-col {
    flex: none !important;
}

/* Footer */
#footer {
	position: fixed;
	bottom: 0;
	z-index: 999;
}

.wn-footer {
	color: white;
	font-weight: bold;
	padding: 0 10px;
	padding-bottom: 10px;
	align-items: center;
}

.wn-footer a {
	color: white;
}

.wn-footer .text:nth-child(2) {
    margin-right: auto !important;
}

.wn-footer .social-icons a {
	font-size: 1.2rem;
}

/* List Sections */
#main:before {
    content: '';
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
	background: url(/wp-content/uploads/2023/05/banner-home.png) no-repeat center center;
	background-size: cover;
	box-shadow: inset 0 0 1000px 100px #0a0e09;
	z-index: 1;
}

#main:after {
	content: '';
	position: fixed;
    left: 0;
    top: 0;
	width: 100vw;
    height: 100vh;
	background-color: rgba(20, 29, 17, 0.6);
	z-index: 1;
}

#content {
    position: relative;
    z-index: 2;
}

.wn-section {
	position: relative;
	width: 100vw;
	height: 100vh;
}

.wn-section .section-content {
	width: 100vw;
	height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	transition: opacity 0.5s;
	
}

.wn-section-home .wn-home-top {
	margin: 0;
	letter-spacing: 20px;
	font-weight: bold;
	font-size: 2rem;
	color: var(--secondary-color);
}

.wn-section-home .section-content > .row {
	position: relative;
	z-index: 999;
}

.wn-section-home .section-content > .row > .col > .col-inner {
	display: flex;
	flex-direction: column;
	justify-content: center;
	color: white;
	text-align: center;
	position: relative;
}

.wn-section-home h1 {
	letter-spacing: 10px;
	font-size: 6rem;
	color: white;
	margin-bottom: 1rem;
}

.wn-section.wn-section-map .section-content {
	display: flex;
	align-items: center;
	justify-content: flex-start;
}

/* Story */
.wn-story {
	position: absolute;
	z-index: 9999;
	width: 100vw;
}

.wn-story .wn-story-description {
    width: 50vw;
}

.wn-story.wn-story-section-map {
	top: 10vh;
    right: 5vw;
	text-align: right;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.wn-story.wn-story-section-outside {
	top: 10vh;
	left: 10vw;
}

.wn-story.wn-story-section-inside {
	bottom: 15vh;
    right: 5vw;
	text-align: right;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.wn-story.wn-story-section-bar {
	bottom: 15vh;
	left: 10vw;
}

.wn-concept-bartender img, .wn-concept-bar img {
	width: 100vw;
	height: 100vh;
	object-fit: cover;
}

.wn-story .wn-top-title {
	margin: 0;
	letter-spacing: 8px;
	font-weight: bold;
	color: var(--secondary-color);
	font-size: 1.3rem;
}

.wn-story.wn-story-section-map .wn-top-title,
.wn-story.wn-story-section-inside .wn-top-title {
    margin-right: -8px;
}

.wn-story h2 {
	font-size: 2.4rem;
    color: white;
    text-shadow: 2px 2px rgba(0, 0, 0, 0.5);
}

.wn-story .wn-story-description {
	color: white;
}

.wn-section-concept .img {
	margin-bottom: 0 !important;
}

.wn-section-concept .wn-concept-back {
	position: absolute;
	left: 1vw;
    top: 50%;
    color: white;
    margin-bottom: 0;
    margin-right: 0;
    font-size: 3rem;
    padding: 0 15px;
    font-weight: bold;
    height: 55px;
    min-height: auto;
    line-height: 0.1rem;
	z-index: 1000;
}
.wn-section-concept .wn-concept-back:hover {
	cursor: pointer;
}

.wn-concept-page p {
	margin-bottom: 0;
}

/* Map */
.wn-section-concept .imp-initialized {
	width: 100vw;
	height: 100vh;
}

.wn-section-concept .imp-initialized .imp-wrap {
	width: 100%;
	height: 100%;
}

.wn-map-img-desktop {
	display: block;
    position: relative;
}

.wn-map-img-desktop .imp-main-image {
    width: 100vw !important;
    height: 100vh !important;
}

/* Icon map + Animation */
.wn-section-map .imp-shape-spot {
    cursor: initial !important;
}

.imp-shape-spot {
	padding: 10px;
	position: relative;
}

.imp-shape-spot:before {
	content: '';
    position: absolute;
    display: block;
    width: 200%;
    height: 200%;
    top: -50%;
    left: -50%;
    border-radius: 100%;
    background-color: var(--secondary-color);
    animation: pulse-ring 1.25s cubic-bezier(0.215, 0.61, 0.355, 1) infinite;
}

.imp-shape-spot:after {
	content: '';
    position: absolute;
    left: 0; 
    top: 0;
    display: block;
    width: 100%;
    height: 100%;
    background-color: white;
    border-radius: 100%;
    box-shadow: 0 0 8px rgba(0,0,0,.3);
    animation: pulse-dot 1.25s cubic-bezier(0.455, 0.03, 0.515, 0.955) -.4s infinite;
}

.imp-shape-spot img {
	position: relative;
    z-index: 1;
    object-fit: contain;
}

@keyframes pulse-ring {
	0% {
		transform: scale(.33);
	}
	80%, 100% {
		opacity: 0;
	}
}

@keyframes pulse-dot {
	0% {
		transform: scale(.8);
	}
	50% {
		transform: scale(1);
	}
	100% {
		transform: scale(.8);
	}
}

.wn-section .wn-map .imp-shape-spot img {
	width: 100% !important;
	height: 100% !important;
	object-fit: contain;
	position: relative;
	z-index: 9;
}

.wn-section .wn-box-header {
	width: 12px;
	height: 30px;
	background-color: var(--secondary-color);
	margin-bottom: 10px;
}

/* List Menu */
.wn-list-menu {
	transition: all 1.5s;
    -webkit-transition: all 1.5s;
}

.wn-list-menu > h3 {
	position: absolute;
    top: 70px;
    width: 100%;
    text-align: center;
    color: var(--secondary-color);
    font-size: 2.5rem;
    text-transform: uppercase;
    text-transform: uppercase;
    text-transform: uppercase;
    letter-spacing: 5px;
}

.wn-section-menu .section-content {
	display: flex;
	align-items: center;
	justify-content: center;
}

.wn-list-menu {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
	overflow: hidden;
}

.wn-wrap-menu {
    position: absolute;
    width: 230px;
    height: 200px;
	left: calc(50vw - 115px);
    top: calc(50vh - 100px);
	transition: all 0.75s;
	-webkit-transition: all 0.75s;
}

.wn-wrap-menu .wn-cat {
	background-color: var(--secondary-color);
	opacity: 1;
	position: absolute;
    width: var(--block-width);
    height: var(--block-height);
	clip-path: url(#hexagon);
	-webkit-clip-path: url(#hexagon);
	transition: all 0.75s;
	-webkit-transition: all 0.75s;
}

.wn-wrap-menu .wn-cat1 {
    z-index: 3;
    background-color: #B44728;
}

.wn-wrap-menu .wn-cat2 {
    z-index: 2;
    background-color: #3F1902;
}

.wn-wrap-menu .wn-prod .wn-bee-item {
    background-color: #1E2C1B;
	opacity: 1;
    width: var(--block-width);
    height: var(--block-height);
	clip-path: url(#hexagon);
	-webkit-clip-path: url(#hexagon);
	transition: all 0.75s;
	-webkit-transition: all 0.75s;
}

.wn-wrap-menu .wn-cat:hover, .wn-wrap-menu .wn-prod .wn-bee-item:hover {
    cursor: pointer;
}

.wn-wrap-menu .wn-cat > div, .wn-wrap-menu .wn-prod .wn-bee-item > div:first-child {
    width: 100%;
    height: 100%;
    clip-path: inherit;
    -webkit-clip-path: inherit;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    font-weight: bold;
    font-size: 2rem;
    padding: 0 3rem;
    text-align: center;
    line-height: 2.7rem;
    text-transform: uppercase;
	background-size: cover !important;
	transform: scale(0.96);
}

.wn-wrap-menu .wn-cat1 > div, .wn-wrap-menu .wn-cat2 > div, .wn-wrap-menu .wn-bee-item > div:first-child {
    text-transform: none !important;
}

.wn-wrap-menu .wn-logo {
	background: url(/wp-content/uploads/2023/06/logo-gemi-portrait.png) no-repeat, var(--secondary-color);
    background-size: 70%;
    background-position: center;
}

.wn-wrap-menu .wn-cat1, .wn-wrap-menu .wn-cat2, .wn-wrap-menu .wn-prod {
    visibility: hidden;
    opacity: 0;
}

.wn-wrap-menu .wn-prod {
    position: absolute;
    z-index: 1;
    display: flex;
    flex-direction: row;
    align-items: center;
    transition: all 0.75s;
	-webkit-transition: all 0.75s;
}

.wn-wrap-menu .wn-prod .wn-bee-row {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-left: -50px;
}

.wn-wrap-menu .wn-prod .wn-bee-item.wn-invi {
    visibility: hidden;
}

.wn-prod .wn-bee-item .wn-detail {
    position: fixed;
    width: 30vw;
    top: 3vh;
    left: 3vw;
}

.wn-wrap-menu:not([data-product]) + .wn-product-detail {
    visibility: hidden;
    opacity: 0;
}

.wn-wrap-menu[data-product]:not([data-product=""]) + .wn-product-detail {
    visibility: visible;
    opacity: 1;
}

.wn-product-detail {
    position: fixed;
    left: 5vw;
    width: 25vw;
    background: url(/wp-content/uploads/2023/05/popup-bg-e1686422912973.png);
    border-radius: 15px;
    overflow: hidden;
    transition: opacity 0.75s;
	-webkit-transition: opacity 0.75s;
}

.wn-wrap-menu[data-slug0=food-menu] + .wn-product-detail, .wn-wrap-menu[data-slug1=spirit] + .wn-product-detail {
    left: 70vw;
}

.wn-wrap-menu[data-product="-1"] + .wn-product-detail {
    width: 30vw;
    left: 65vw;
}

#menu-detail, .wn-fav-result {
    background: url(/wp-content/uploads/2023/05/popup-bg-e1686422912973.png);
    padding: 0;
    border-radius: 20px;
    overflow: hidden;
}

.wn-fav-modal {
    background: transparent !important;
    padding: 0 !important;
    max-width: 1000px;
}

.wn-fav-result {
    display: flex;
    flex-direction: row;
    gap: 15px;
}

#menu-detail .close-modal, .wn-fav-modal .close-modal {
    top: 15px !important;
    right: 15px !important;
    width: 40px !important;
    height: 40px !important;
}

.wn-product-detail img, #menu-detail img, .wn-fav-result img {
	aspect-ratio: 1;
	object-fit: cover;
}

.wn-fav-result img {
    max-width: 400px !important;
}

.wn-product-detail .wn-info, #menu-detail .wn-info, .wn-fav-result .wn-info {
	padding: 20px 30px;
    color: white;
}

.wn-product-detail .wn-info .wn-title, #menu-detail .wn-info .wn-title, .wn-fav-result .wn-info .wn-title {
	color: var(--secondary-color);
    font-size: 1.7rem;
    font-weight: bold;
}

.wn-product-detail .wn-info .wn-title:before, #menu-detail .wn-info .wn-title:before, .wn-fav-result .wn-info .wn-title:before {
	content: '';
    display: inline-block;
    width: 8px;
    height: 30px;
    margin-right: 15px;
    background-color: var(--secondary-color);
}

.wn-product-detail .wn-info .wn-price, #menu-detail .wn-info .wn-price, .wn-fav-result .wn-info .wn-price {
	color: var(--secondary-color);
    font-size: 2rem;
    font-weight: bold;
	margin-top: 15px;
}

.wn-product-detail .wn-info .wn-price:before, #menu-detail .wn-info .wn-price:before, .wn-fav-result .wn-info .wn-price:before {
	content: 'PRICE';
    display: inline-block;
    color: var(--secondary-color);
    font-size: 12px;
    transform: rotate(-90deg);
    margin-left: -12px;
    position: relative;
    top: -27px;
}

.wn-product-detail .wn-desc ul, #menu-detail .wn-desc ul, .wn-fav-result .wn-desc ul {
	margin-left: 16px;
}

.wn-product-detail .wn-desc li, #menu-detail .wn-desc li, .wn-fav-result .wn-desc li {
	margin-bottom: 0;
}

.wn-product-detail .wn-content, #menu-detail .wn-content, .wn-fav-result .wn-content {
	font-weight: bold;
}

.wn-product-detail i {
    position: absolute;
    top: 20px;
    right: 20px;
    z-index: 9;
    font-size: 25px;
    transform: rotate(45deg);
    color: white;
}

.wn-product-detail i:before {
    text-shadow: 0px 0px 10px #000;
}

.wn-product-detail i:hover {
    cursor: pointer;
}

.wn-product-detail .wn-product-list, #menu-detail .wn-product-list {
    max-height: 550px;
    overflow-y: scroll;
    padding: 20px;
    padding-top: 0;
}

.wn-product-detail h3, #menu-detail h3 {
    font-size: 1.6rem;
    color: var(--secondary-color);
    border-bottom: 1px dashed;
    padding: 20px;
}

.wn-product-detail .wn-product-list .wn-product, #menu-detail .wn-product-list .wn-product {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 15px;
    margin-top: 10px;
}

.wn-product-detail .wn-product-list .wn-product img, #menu-detail .wn-product-list .wn-product img {
    width: 80px;
    border: 1px solid #ffffff78;
}

.wn-product-detail .wn-product-list .wn-title, #menu-detail .wn-product-list .wn-title {
    font-size: 1rem;
    color: white;
    font-weight: bold;
    margin-right: auto;
}

.wn-product-detail .wn-product-list .wn-price, #menu-detail .wn-product-list .wn-price {
    color: var(--secondary-color);
    font-size: 1rem;
    font-weight: bold;
}

/* COORDINATES */
.wn-cat.wn-logo { top: 0; left: 0; }
.wn-cat-drink-menu { top: calc(var(--half-block-height) * -1); left: calc(var(--half-block-width) * -1); }
.wn-cat-signature-cocktail { top: calc(var(--half-block-height) * -2); left: calc(var(--half-block-width) * -2); }
.wn-cat-classic-cocktail { top: 0; left: calc(var(--half-block-width) * -2); }
.wn-cat-signature-nhom-1 { top: calc(var(--half-block-height) * -1); left: calc(var(--half-block-width) * -3); }
.wn-cat-signature-nhom-2 { top: calc(var(--half-block-height) * -3); left: calc(var(--half-block-width) * -3); }
.wn-cat-signature-nhom-3 { top: calc(var(--half-block-height) * -4); left: calc(var(--half-block-width) * -2); }
.wn-cat-signature-nhom-4 { top: calc(var(--half-block-height) * -3); left: calc(var(--half-block-width) * -1); }
.wn-cat-food-menu { top: calc(var(--half-block-height) * -1); left: calc(var(--half-block-width)); }
.wn-cat-starter { top: calc(var(--half-block-height) * -3); left: calc(var(--half-block-width)); }
.wn-cat-cold-dishes { top: calc(var(--half-block-height) * -4); left: 0; }
.wn-cat-deep-fried { top: calc(var(--half-block-height) * -5); left: calc(var(--half-block-width) * 1); }
.wn-cat-others { top: calc(var(--half-block-height) * -4); left: calc(var(--half-block-width) * 2); }
.wn-cat-something-green { top: calc(var(--half-block-height) * -2); left: calc(var(--half-block-width) * 2); }
.wn-cat-craving-and-enjoy { top: 0; left: calc(var(--half-block-width) * 2); }
.wn-cat-skewer-and-grills { top: calc(var(--half-block-height) * -3); left: calc(var(--half-block-width) * 3); }
.wn-cat-sweet-and-fresh { top: calc(var(--half-block-height) * -1); left: calc(var(--half-block-width) * 3); }
.wn-cat-wine-spirit-menu { top: calc(var(--half-block-height) * 2); left: 0; }
.wn-cat-wine { top: calc(var(--half-block-height) * 3); left: calc(var(--half-block-width) * -1); }
.wn-cat-red { top: calc(var(--half-block-height) * 2); left: calc(var(--half-block-width) * -2); }
.wn-cat-white { top: calc(var(--half-block-height) * 4); left: calc(var(--half-block-width) * -2); }
.wn-cat-sparkling { top: calc(var(--half-block-height) * 5); left: calc(var(--half-block-width) * -1); }
.wn-cat-spirit { top: calc(var(--half-block-height) * 3); left: calc(var(--half-block-width)); }
.wn-cat-whisky { top: calc(var(--half-block-height) * 2); left: calc(var(--half-block-width) * 2); }
.wn-cat-gin { top: calc(var(--half-block-height) * 4); left: calc(var(--half-block-width) * 2); }
.wn-cat-rum { top: calc(var(--half-block-height) * 5); left: calc(var(--half-block-width) * 1); }
.wn-cat-tequila { top: calc(var(--half-block-height) * 3); left: calc(var(--half-block-width) * 3); }
.wn-cat-vodka { top: calc(var(--half-block-height) * 5); left: calc(var(--half-block-width) * 3); }
.wn-cat-brandy-cognac { top: calc(var(--half-block-height) * 6); left: calc(var(--half-block-width) * 2); }

.wn-prod-cat-classic-cocktail {
    flex-direction: row-reverse !important;
    top: var(--half-block-height);
    left: calc(var(--half-block-width) * -4 + 50px);
}
.wn-prod-cat-signature-nhom-1 {
    flex-direction: row-reverse !important;
    top: calc(var(--half-block-height) * -3);
    left: calc(var(--half-block-width) * -5 - 80px);
}
.wn-prod-cat-signature-nhom-2 {
    flex-direction: row-reverse !important;
    top: calc(var(--half-block-height) * -5);
    left: calc(var(--half-block-width) * -7 + 50px);
}
.wn-prod-cat-signature-nhom-3 {
    flex-direction: row-reverse !important;
    top: calc(var(--half-block-height) * -8);
    left: calc(var(--half-block-width) * -5 + 50px);
}
.wn-prod-cat-signature-nhom-4 {
    top: calc(var(--half-block-height) * -8);
    left: calc(var(--half-block-width) * -1 + 50px);
}
.wn-prod-cat-cold-dishes {
    top: calc(var(--half-block-height) * -7);
    left: calc(var(--half-block-width) * -2 + 50px);
}
.wn-prod-cat-deep-fried {
    top: calc(var(--half-block-height) * -8);
    left: calc(var(--half-block-width) * 1 + 50px);
}
.wn-prod-cat-others {
    top: calc(var(--half-block-height) * -7);
    left: calc(var(--half-block-width) * 2 + 50px);
}
.wn-prod-cat-something-green,
.wn-prod-cat-skewer-and-grills, 
.wn-prod-cat-sweet-and-fresh, 
.wn-prod-cat-craving-and-enjoy {
    top: calc(var(--half-block-height) * -3);
    left: calc(var(--half-block-width) * 4 + 50px);
}
.wn-prod-cat-red {
    flex-direction: row-reverse !important;
    top: 0;
    left: calc(var(--half-block-width) * -5 + 50px);
}
.wn-prod-cat-white {
    flex-direction: row-reverse !important;
    top: calc(var(--half-block-height) * 2);
    left: calc(var(--half-block-width) * -4 + 100px);
}
.wn-prod-cat-sparkling {
    flex-direction: row-reverse !important;
    top: calc(var(--half-block-height) * 5);
    left: calc(var(--half-block-width) * -5 + 50px);
}

/* SCALES */
.wn-wrap-menu[data-slug0=drink-menu] {
    transform: scale(0.8);
    left: calc(50vw + 15px);
    top: calc(50vh - 30px);
}
.wn-wrap-menu[data-slug1=signature-cocktail] {
    transform: scale(0.7);
    left: calc(50vw + 100px);
    top: calc(50vh + 0px);
}
.wn-wrap-menu[data-slug2=signature-nhom-1] {
    transform: scale(0.7);
    left: calc(50vw + 250px);
}
.wn-wrap-menu[data-slug2=signature-nhom-2] {
    transform: scale(0.6);
    left: calc(50vw + 250px);
    top: calc(50vh + 50px);
}
.wn-wrap-menu[data-slug2=signature-nhom-3] {
    transform: scale(0.53);
    left: calc(50vw + 150px);
    top: calc(50vh + 150px);
}
.wn-wrap-menu[data-slug2=signature-nhom-4] {
    transform: scale(0.53);
    left: calc(50vw - 100px);
    top: calc(50vh + 150px);
}
.wn-wrap-menu[data-slug1=classic-cocktail] {
    transform: scale(0.6);
    left: calc(50vw + 100px);
    top: calc(50vh - 220px);
}
.wn-wrap-menu[data-slug0=food-menu] {
    transform: scale(0.8);
    left: calc(50vw - 300px);
    top: calc(50vh + 50px);
}
.wn-wrap-menu[data-slug1=starter] {
    transform: scale(0.6);
    left: calc(50vw - 220px);
    top: calc(50vh + 50px);
}
.wn-wrap-menu[data-slug2=cold-dishes] {
    transform: scale(0.6);
    left: calc(50vw - 50px);
    top: calc(50vh + 150px);
}
.wn-wrap-menu[data-slug2=deep-fried] {
    transform: scale(0.53);
    left: calc(50vw - 220px);
    top: calc(50vh + 150px);
}
.wn-wrap-menu[data-slug2=others] {
    transform: scale(0.53);
    left: calc(50vw - 300px);
    top: calc(50vh + 100px);
}
.wn-wrap-menu[data-slug1=something-green],
.wn-wrap-menu[data-slug1=skewer-and-grills],
.wn-wrap-menu[data-slug1=sweet-and-fresh],
.wn-wrap-menu[data-slug1=craving-and-enjoy] {
    transform: scale(0.7);
    left: calc(50vw - 400px);
    top: calc(50vh - 50px);
}
.wn-wrap-menu[data-slug0=wine-spirit-menu] {
    transform: scale(0.8);
    left: calc(50vw - 115px);
    top: calc(50vh - 200px);
}
.wn-wrap-menu[data-slug1=wine] {
    transform: scale(0.6);
    left: calc(50vw - 10px);
    top: calc(50vh - 270px);
}
.wn-wrap-menu[data-slug2=red] {
    transform: scale(0.6);
    left: calc(50vw + 100px);
    top: calc(50vh - 200px);
}
.wn-wrap-menu[data-slug2=white] {
    transform: scale(0.6);
    left: calc(50vw + 100px);
    top: calc(50vh - 250px);
}
.wn-wrap-menu[data-slug2=sparkling] {
    transform: scale(0.53);
    left: calc(50vw + 100px);
    top: calc(50vh - 270px);
}
.wn-wrap-menu[data-slug1=spirit] {
    transform: scale(0.6);
    left: calc(50vw - 300px);
    top: calc(50vh - 270px);
}
.wn-wrap-menu[data-product]:not([data-product=""]) {
    transform: scale(0.6);
    left: calc(30vw + 750px);
}
.wn-wrap-menu[data-product][data-slug2=signature-nhom-3] {
    transform: scale(0.53);
    left: 70vw;
}
.wn-wrap-menu[data-product][data-slug2=signature-nhom-4] {
    transform: scale(0.53);
    left: 60vw;
}
.wn-wrap-menu[data-product]:not([data-product=""])[data-slug0=food-menu],
.wn-wrap-menu[data-product]:not([data-product=""])[data-slug1=spirit] {
    left: 20vw;
}
.wn-wrap-menu[data-product]:not([data-product=""]):not([data-slug1=starter])[data-slug0=food-menu] {
    left: 10vw;
    transform: scale(0.53);
}

/* Team */
.wn-section-team .section-content > .row {
	position: relative;
	z-index: 100;
}

.wn-section-team .section-content > .row > .col > .col-inner {
	display: flex;
    flex-direction: column;
    justify-content: center;
}

.wn-team .box-image {
    width: 230px !important;
}

.wn-team .box-image .image-cover {
	background-color: var(--secondary-color);
	aspect-ratio: 1.1;
	padding-top: 0 !important;
	clip-path: url(#hexagon);
	-webkit-clip-path: url(#hexagon);
}

.wn-team .box-image img {
    width: 100%;
    height: 100%;
    transform: scale(0.96);
    clip-path: inherit;
    -webkit-clip-path: inherit;
	margin: initial;
	background-size: cover !important;
}

.wn-team .wn-team-name {
	font-size: 1.8rem;
    text-transform: none;
    color: var(--secondary-color);
    opacity: 1;
	text-align: center;
}

.wn-team .wn-team-position {
	font-size: 1.5rem;
    line-height: 1.2rem;
	margin-bottom: 20px;
	text-align: center;
}

.wn-team .wn-team-position:after {
	content: '';
    display: block;
    width: 50%;
    height: 2px;
    background: white;
    margin: 0 auto;
    margin-top: 20px;
}

.wn-team .flickity-prev-next-button {
	opacity: 1 !important;
}

/* Booking Form */
.wn-section-form .section-content > .row {
	position: relative;
	z-index: 999;
}

.wn-section-form .section-content > .row > .col > .col-inner {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.wn-section-form .wn-form-image-wrapper {
	position: relative;
}

.wn-section-form .wn-form-images {
	display: grid;
	grid-template-columns: auto auto;
	gap: 10px;
}

.wn-section-form .wn-form-images img:first-child {
	grid-row: 1 / span 2;
}

.wn-section-form .wn-form-images img {
	border-radius: 20px;
	width: 100%;
	height: 100%;
}

.wn-form-content {
	width: 100%;
}

.wn-form-content .wn-form-title {
	color: var(--secondary-color);
    font-weight: bold;
    font-size: 2rem;
}

.wn-form-content .wn-form-title:before {
	content: '';
	display: block;
	width: 7px;
	height: 30px;
	background-color: var(--secondary-color);
}

.wn-form-content .wn-form-desc {
	color: white;
    font-size: 1.3rem;
	margin-bottom: 30px;
}

.wn-form-content .wn-form-desc a {
	color: white;
	font-weight: bold;
	color: var(--secondary-color);
}

.wn-form-content form label {
	color: var(--secondary-color);
	flex: 1;
}

.wn-form-content form .stack {
	gap: 10px;
}

.wn-form-content form label input, .wn-form-content form label textarea, .wpcf7-form-control-wrap .wpcf7-form-control {
	background-color: transparent;
    border: 1px solid var(--secondary-color);
    color: white;
	display: block;
    width: 100%;
	padding: 0 10px;
	border-radius: 10px;
	color-scheme: dark;
}

.wn-form-content form label input:focus, .wn-form-content form label textarea:focus {
	background-color: transparent;
	color: white;
}

.wn-form-content form label input {
	height: 40px;
}

/* Contact */
.wn-section-contact .section-content > .row {
	position: relative;
	z-index: 999;
}

.wn-section-contact .section-content > .row > .col > .col-inner {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: stretch;
}

.wn-section-contact form label {
	color: var(--secondary-color);
}

.wn-section-contact form label input {
	background-color: transparent;
    border: 1px solid var(--secondary-color);
    color: white;
}

.wn-section-contact form label input:focus {
	background-color: transparent;
	color: white;
}

.wn-section-contact form input[type=submit] {
	margin: 0;
}

.wn-embed-map {
	border: 1px solid var(--secondary-color);
	padding: 5px;
	line-height: 0;
	border-radius: 15px;
}

.wn-embed-map p {
    margin-bottom: 0;
}

.wn-embed-map iframe {
    border-radius: 15px;
}

/* Language */
.wn-popup-language {
    background: linear-gradient(rgba(0,0,0,0.6), rgba(0,0,0,0.6)), url(/wp-content/uploads/2023/05/drinkmenu.jpeg) no-repeat center center;
    background-size: cover;
    padding: 30px;
    border-radius: 20px;
}

.wn-popup-language h4 {
    color: var(--secondary-color);
    text-align: center;
    font-size: 1.5rem;
}

.wn-popup-language .wn-language-wrapper {
    display: flex;
    gap: 15px;
}

.wn-popup-language .wn-language-wrapper a {
    flex: 1;
    text-align: center;
    color: white;
    font-weight: bold;
}

.wn-popup-language .wn-language-wrapper a img {
    width: 100%;
    margin-bottom: 10px;
}

.wn-popup-language .mfp-close {
	opacity: 1;
    top: 30px !important;
    right: 30px;
    color: white;
}

/* Button + Animation */
.wn-button {
	display: inline-block !important;
    margin-top: 10px !important;
    padding: 12px 24px !important;
    width: 180px;
    background: transparent !important;
    border: 1px solid var(--secondary-color) !important;
    color: var(--secondary-color) !important;
    text-transform: uppercase !important;
    outline: none;
    cursor: pointer;
    font-weight: bold !important;
    border-radius: 15px !important;
    transition: all 0.5s;
}

.wn-button:hover {
	background-color: var(--secondary-color) !important;
	color: var(--primary-color) !important;
}

/* CF7 */
.wpcf7-response-output {
    border-color: var(--secondary-color) !important;
    margin-left: 0 !important;
    margin-right: 0 !important;
    color: white !important;
    border-radius: 0 !important;
}

/* Gợi ý */
.wn-favorite {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.wn-favorite h3 {
    color: white;
}

.wn-favorite ul {
    margin-bottom: 0;
    list-style-type: none;
}

.wn-favorite ul li {
    margin-left: 0;
    margin-top: 20px;
    margin-bottom: 0;
    color: white;
}

.wn-favorite ul li button {
    margin: 0;
    color: white;
    border: 1px solid var(--secondary-color);
    background-color: var(--primary-color);
    border-radius: 10px;
    margin-right: 15px;
}

.wn-favorite .wn-thumbnail {
    border: 1px solid var(--secondary-color);
    padding: 10px;
    border-radius: 15px;
}

.wn-favorite .wn-thumbnail img {
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 15px;
}

.wn-favorite .wn-back {
    font-size: 2rem;
    color: white;
}

.wn-favorite .wn-back:hover {
    cursor: pointer;
}

.wn-favorite[data-current="1"] .wn-back {
    display: none;
}

@media (max-width: 991.98px) {
	.mfp-wrap > .mfp-close { display: block; }
	.header-main li.html.custom { display: block; }
	.transparent .header-main { height: 70px !important; }
	
	#wn-preload svg {
        width: 60vw;
    }
	
	#logo {
		top: calc(50vh - 70px);
		left: 20vw;
		width: 60vw !important;
	}
	
	#logo.logo-minimize {
		top: 15px;
		left: calc(50vw - 100px);
		width: 200px !important;
	}
	
	#header {
		background: rgb(0,0,0);
		background: linear-gradient(180deg, rgba(0,0,0,1) 13%, rgba(0,0,0,0) 100%);
	}
	
	#main {
		box-shadow: inset 0 0 60px 30px #000;
	}
	
	#footer {
		display: none;
	}
	
	.wn-map-img-desktop {
		top: 0;
	}
	
	.wn-section, .wn-section .section-content {
		width: 100%;
		height: auto;
	}
	
	.wn-section-home, .wn-section-home .section-content {
		height: 100vh;
	}
	
	.wn-section-home .wn-home-top {
		letter-spacing: 8px;
		font-size: 1.5rem;
	}
	
	.wn-section-home h1 {
		letter-spacing: 7px;
    	font-size: 2.5rem;
	}
	
	.wn-section.wn-section-map .section-content {
		flex-direction: column;
		justify-content: flex-start;
	}
	
	.wn-map-img-desktop .imp-main-image {
        width: 100% !important;
        height: 100% !important;
    }
	
	.wn-story {
		position: relative;
        top: auto !important;
        bottom: auto !important;
        left: 0 !important;
        padding: 20px;
        background-color: #c2a06682;
        text-align: center;
        width: 100%;
	}
	
	.wn-story .wn-story-description {
        width: 100%;
    }
	
	.wn-story.wn-story-section-map {
	    top: 0 !important;
        bottom: auto !important;
        position: relative;
        text-align: center;
        align-items: center;
	}
	
	.wn-story.wn-story-section-outside {
		top: 0;
	}
	
	.wn-section .wn-box-header {
		display: none;
	}
	
	.wn-story .wn-story-description {
		margin-bottom: 0;
	}
	
	.wn-story h2 {
		font-size: 1.5rem;
	}
	
	.wn-section .wn-map-img {
		position: initial;
	}
	
	.wn-section-concept .imp-initialized {
		height: auto;
	}
	
	.wn-concept-bartender img, .wn-concept-bar img {
		height: auto;
	}
	
	.wn-section-concept .wn-concept-back {
	    top: calc(50% + 60px);
	}
	
	.wn-section-menu {
	    padding-top: 50px !important;
	}
	
	.wn-list-menu {
		height: 80vh;
	}
	
	.wn-list-menu > h3 {
		top: 5vh;
		font-size: 2.5rem;
		letter-spacing: 8px;
	}
	
	.wn-wrap-menu {
	    top: 30vh;
	    transform: scale(0.9);
	}
	
	/* SCALES */
    .wn-wrap-menu[data-slug0=drink-menu] {
        transform: scale(0.8);
        top: calc(40vh - 30px);
    }
    .wn-wrap-menu[data-slug1=signature-cocktail] {
        transform: scale(0.7);
        top: calc(40vh + 50px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-1] {
        transform: scale(0.55);
        left: calc(50vw + 250px);
        top: calc(40vh - 50px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-2] {
        transform: scale(0.55);
        left: calc(50vw + 300px);
        top: calc(40vh + 50px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-3] {
        transform: scale(0.55);
        left: calc(50vw + 150px);
        top: calc(40vh + 150px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-4] {
        transform: scale(0.55);
        left: calc(50vw - 50px);
        top: calc(40vh + 150px);
    }
    .wn-wrap-menu[data-slug1=classic-cocktail] {
        transform: scale(0.6);
        left: calc(50vw + 100px);
        top: calc(50vh - 220px);
    }
    .wn-wrap-menu[data-slug0=food-menu] {
        transform: scale(0.8);
        left: calc(50vw - 300px);
        top: calc(40vh + 50px);
    }
    .wn-wrap-menu[data-slug1=starter] {
        transform: scale(0.7);
        left: calc(50vw - 220px);
        top: calc(40vh + 50px);
    }
    .wn-wrap-menu[data-slug2=cold-dishes] {
        transform: scale(0.6);
        left: calc(50vw - 100px);
        top: calc(40vh + 150px);
    }
    .wn-wrap-menu[data-slug2=deep-fried] {
        transform: scale(0.6);
        left: calc(50vw - 220px);
        top: calc(40vh + 170px);
    }
    .wn-wrap-menu[data-slug2=others] {
        transform: scale(0.6);
        left: calc(50vw - 300px);
        top: calc(40vh + 100px);
    }
    .wn-wrap-menu[data-slug1=something-green],
    .wn-wrap-menu[data-slug1=skewer-and-grills],
    .wn-wrap-menu[data-slug1=sweet-and-fresh],
    .wn-wrap-menu[data-slug1=craving-and-enjoy] {
        transform: scale(0.55);
        left: calc(50vw - 450px);
        top: calc(40vh - 50px);
    }
    .wn-wrap-menu[data-slug0=wine-spirit-menu] {
        transform: scale(0.8);
        left: calc(50vw - 115px);
        top: calc(40vh - 200px);
    }
    .wn-wrap-menu[data-slug1=wine] {
        transform: scale(0.7);
        left: calc(50vw - 10px);
        top: calc(40vh - 200px);
    }
    .wn-wrap-menu[data-slug2=red] {
        transform: scale(0.6);
        left: calc(50vw + 170px);
        top: calc(40vh - 200px);
    }
    .wn-wrap-menu[data-slug2=white] {
        transform: scale(0.6);
        left: calc(50vw + 100px);
        top: calc(40vh - 250px);
    }
    .wn-wrap-menu[data-slug2=sparkling] {
        transform: scale(0.53);
        left: calc(50vw + 100px);
        top: calc(40vh - 270px);
    }
    .wn-wrap-menu[data-slug1=spirit] {
        transform: scale(0.6);
        left: calc(50vw - 260px);
        top: calc(40vh - 270px);
    }
    
	.wn-popup-language .mfp-close { display: none }
	
	.mobile-sidebar .nav.nav-sidebar {
		height: calc(100vh - 50px);
	}
	
	.mobile-sidebar .nav.nav-sidebar .html {
		margin-top: auto;
	}
	
	.mobile-sidebar .nav-sidebar > li+li {
		border-top: none;
	}
	
	.wn-hotline-mobile {
		margin-bottom: 15px;
	}
	
	.wn-story.wn-story-section-inside {
		text-align: center;
		align-items: center;
	}
	
	.wn-fav-result {
	    flex-direction: column;
	}
}

@media (max-width: 767.98px) {
	body { font-size: 14px;	}
	
	.wn-story {
        bottom: 0 !important;
	}
	
	.wn-section-concept .wn-concept-back {
	    top: calc(50% + 90px);
	}
	
	.wn-list-menu > h3 {
		top: 0;
        font-size: 1.4rem;
        letter-spacing: 4px;
	}
	
	.wn-list-menu {
		height: 60vh;
	}
	
	.wn-wrap-menu {
        top: 18vh;
        transform: scale(0.5);
    }
    
    /* SCALES */
    .wn-wrap-menu[data-slug0=drink-menu] {
        transform: scale(0.45);
        left: calc(50vw - 35px);
        top: calc(30vh - 30px);
    }
    .wn-wrap-menu[data-slug1=signature-cocktail] {
        transform: scale(0.4);
        left: calc(50vw - 0px);
        top: calc(30vh + 50px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-1] {
        transform: scale(0.3);
        left: calc(50vw + 80px);
        top: calc(30vh - 50px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-2] {
        transform: scale(0.3);
        left: calc(50vw + 150px);
        top: calc(30vh - 0px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-3] {
        transform: scale(0.3);
        left: calc(50vw + 20px);
        top: calc(30vh + 20px);
    }
    .wn-wrap-menu[data-slug2=signature-nhom-4] {
        transform: scale(0.3);
        left: calc(50vw - 80px);
        top: calc(30vh + 0px);
    }
    .wn-wrap-menu[data-slug1=classic-cocktail] {
        transform: scale(0.3);
        left: calc(50vw + 0px);
        top: calc(30vh - 125px);
    }
    .wn-wrap-menu[data-slug0=food-menu] {
        transform: scale(0.4);
        left: calc(50vw - 220px);
        top: calc(30vh - 50px);
    }
    .wn-wrap-menu[data-slug1=starter] {
        transform: scale(0.4);
        left: calc(50vw - 200px);
        top: calc(30vh + 0px);
    }
    .wn-wrap-menu[data-slug2=cold-dishes] {
        transform: scale(0.3);
        left: calc(50vw - 100px);
        top: calc(30vh + 0px);
    }
    .wn-wrap-menu[data-slug2=deep-fried] {
        transform: scale(0.3);
        left: calc(50vw - 180px);
        top: calc(30vh + 0px);
    }
    .wn-wrap-menu[data-slug2=others] {
        transform: scale(0.3);
        left: calc(50vw - 220px);
        top: calc(30vh + 0px);
    }
    .wn-wrap-menu[data-slug1=something-green],
    .wn-wrap-menu[data-slug1=skewer-and-grills],
    .wn-wrap-menu[data-slug1=sweet-and-fresh],
    .wn-wrap-menu[data-slug1=craving-and-enjoy] {
        transform: scale(0.3);
        left: calc(50vw - 290px);
        top: calc(30vh - 50px);
    }
    .wn-wrap-menu[data-slug0=wine-spirit-menu] {
        transform: scale(0.4);
        left: calc(50vw - 115px);
        top: calc(30vh - 150px);
    }
    .wn-wrap-menu[data-slug1=wine] {
        transform: scale(0.4);
        left: calc(50vw - 60px);
        top: calc(30vh - 160px);
    }
    .wn-wrap-menu[data-slug2=red] {
        transform: scale(0.3);
        left: calc(50vw + 30px);
        top: calc(30vh - 150px);
    }
    .wn-wrap-menu[data-slug2=white] {
        transform: scale(0.3);
        left: calc(50vw + 0px);
        top: calc(30vh - 190px);
    }
    .wn-wrap-menu[data-slug2=sparkling] {
        transform: scale(0.3);
        left: calc(50vw + 20px);
        top: calc(30vh - 190px);
    }
    .wn-wrap-menu[data-slug1=spirit] {
        transform: scale(0.4);
        left: calc(50vw - 220px);
        top: calc(30vh - 190px);
    }
    
    #spirit-detail .wn-product img {
        width: 60px;
        border: 1px solid #ffffff78;
    }
    
    #spirit-detail .wn-title {
        font-size: 1rem;
        color: white;
        font-weight: bold;
        flex: 1;
    }
    
    #spirit-detail .wn-price {
        color: var(--secondary-color);
        font-size: 0.8rem;
        font-weight: bold;
    }
	
	.wn-team .box-image {
        width: 120px !important;
    }
    
    .wn-team .box-image .image-cover {
    	clip-path: url(#hexagon-mobile);
    	-webkit-clip-path: url(#hexagon-mobile);
    }
}